Using jce with java 1.3.1

Advertisement
November 30

Hi,
I use Java 1.3.1, jce 1.2.2 and eclipse.
To include the packet added it with �Project/Properties/ Add External JARs� but when I compile the program I get the following errors:
compile:
[javac] Compiling 10 source files to D:\MyTemp\ZFProjectView\build\temp\projectviewer
[javac] D:\MyTemp\ZFProjectView\src\projectviewer\DesEncrypter.java:3: package javax.crypto does not exist
[javac] import javax.crypto.*;
[javac] ^
[javac] D:\MyTemp\ZFProjectView\src\projectviewer\DesEncrypter.java:5: package javax.crypto.spec does not exist
[javac] import javax.crypto.spec.*;
[javac] ^
[javac] D:\MyTemp\ZFProjectView\src\projectviewer\DesEncrypter.java:15: cannot resolve symbol
[javac] symbol : class Cipher
[javac] location: class projectviewer.DesEncrypter
[javac] Cipher ecipher;
[javac] ^
Is it necessary to expand the classpath in the build.xml file or something like this?
Thanks

Advertisement

Replay

I know its too late to answer your query... but just thought if not you there might be other people who may search solution for the same error.
Java 1.3 does not contains these packages... these are included in java 1.4 on wards.
If you want to do some encryption / decryption with java 1.3 i can provide you a link that might be of some help.
http://www.builderau.com.au/program/java/soa/Install-and-utilise-JCE/0,339024620,320264469,00.htm?feed=pt_library
<Happy Coding>
Cheers,
Jags

View 2 Replies

Tags:

  1. will z10 pair with ive-w530
  2. vidioplays.song
  3. walkman fix force close
  4. difference in fgi0 and ke30
  5. BAPI_PO_CREATE1 WBS
  6. mass approval fk09
  7. cisco ise authentication failure
  8. 09MY
  9. ibooks 3.1.1
  10. happilyd55
Copyrights 2019 Fcffair BigData Resource, All rights reserved